#ifndef DEFIDH
#define DEFIDH

#include "neci.h"

#define		NE4100T			0x4109
#define		NE4110A			0x4118
#define     NE4110S			0x4119
#define		NE4120A			0x4128
#define		NE4120S			0x4129

#define		BROADCAST		0
#define		SEARCH_BY_IP	1	

#define		UPGRADE_AP			0
#define		UPGRADE_KERNEL		1
#define		UPGRADE_FIRMWARE	2

#define     MAX_DEVICE_NUM          10

#define     SEARCH_TIMEOUT                  1000
#define     SEARCH_RETRY_CNT                4

typedef struct _CONFIGINFO {
    DS_INFO             ds_info;
	DS_HANDLE			dshdl;
	PIFCONFIGINFO		p_ifconfig;
	int					ipcfgsetting;
	PSERPARMITEM		pserial_info;
	int					baud_index;
    BYTE                port_type;
	char				svr_name[16];
	int					watchdog;
	int					operation_mode;
	PKERNELINFO			pkernel_info;
	int					system_changed;
	char				new_passwd[17];
	char				new_privatekey[16];
	PAPINFO				pap_info;
	int					DIO_max;
	int					DIO_mode[4];
	int					DIO_state[4];
} CFGINFO, *PCFGINFO;



#endif